Comments

737 Comments
karma

I suspect this is also happening here: https://bugzilla.redhat.com/show_bug.cgi?id=2144336

karma

I suspect this is also happening here: https://bugzilla.redhat.com/show_bug.cgi?id=2144336

The package was replaced with python3.10-3.10.8-3.fc35 to fix BZ#2142602 and the tests now run correctly. I can also confirm that the bug is fixed.

BZ#2142602 Missing dependency for python3-idle on python3-test

Basic Python usage and dnf still works.

Works good enough to build fedora-license-data.

And sudo dnf --enablerepo=updates-testing install python3.11 does not install the final version?

This update brings the final version. What do you mean by your comment?

(Some of my pip dependencies do not have wheels yet but this is not Fedora packagers' problem, although this version seem worse because of some "frame" changes)

The problems exist even without this final update. Previously, Fedora 37 had 3.11.0rc2.

karma

Cannot be run as root, which is how it is run on Fedora CI. https://github.com/rpm-software-management/mock/issues/990

karma

Cannot be run as root, which is how it is run on Fedora CI. https://github.com/rpm-software-management/mock/issues/990

karma

Cannot be run as root, which is how it is run on Fedora CI. https://github.com/rpm-software-management/mock/issues/990

karma

Cannot be run as root, which is how it is run on Fedora CI. https://github.com/rpm-software-management/mock/issues/990

I've checked with the rawhide builds that when nbconvert is installed, mistune is updated to mistune08. Otherwise, it is updated to mistune 2. So I guess this is good, but I haven't actually tested if the packaged mistune works.

BZ#1782288 python-mistune-2.0.4 is available
BZ#2133872 Review Request: python-mistune08 - Markdown parser for Python

This will still break m2r. See https://github.com/miyakogi/m2r/issues/66

The package needs to have the dependency on mistune pinned to < 1 and be shipped in this update.

Flit core can be used at least to build tomli.

tomli installs and basic tomli.loads and tomli.load works. Tested the first example from https://github.com/toml-lang/toml#readme

BZ#2133111 [Tracker] python-flit-core for EPEL 8
BZ#2133112 Branch python-tomli for EPEL 8